%define gst_majorminor 0.10

%def_disable jrtplib

Name: gst-plugins-farsight
Version: 0.12.11
Release: alt2

Summary: GStreamer plug-ins for farsight protocol
Group: Networking/Instant messaging
License: LGPLv2+
URL: http://farsight.freedesktop.org/wiki/

Source0: http://farsight.freedesktop.org/releases/gst-plugins-farsight/%name-%version.tar.gz

Packager: Afanasov Dmitry <ender@altlinux.org>

# Automatically added by buildreq on Thu Jul 03 2008
BuildRequires: gcc-c++ gst-plugins-devel libGConf-devel libgsm-devel libjasper-devel libjingle-devel
%{?_enabled_jrtplib:BuildRequires: libjrtp-devel}

%description
This is a set of plugins for GStreamer that will be used by Farsight for
Audio/Video conferencing.

%prep
%setup -q

%build
%autoreconf
%configure \
	--disable-static \
    --with-plugins \
    %{subst_enable jrtplib}
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc AUTHORS COPYING
%_libdir/gstreamer-%gst_majorminor/*.so
%exclude %_libdir/gstreamer-%gst_majorminor/*.la

%changelog
* Fri Aug 28 2009 Afanasov Dmitry <ender@altlinux.org> 0.12.11-alt2
- disable orphaned libjrtp

* Wed Mar 25 2009 Afanasov Dmitry <ender@altlinux.org> 0.12.11-alt1
- 0.12.10 -> 0.12.11

* Mon Dec 22 2008 Afanasov Dmitry <ender@altlinux.org> 0.12.10-alt1.1
- rebuild with libjingle-0.3.12

* Fri Dec 19 2008 Afanasov Dmitry <ender@altlinux.org> 0.12.10-alt1
- 0.12.9 -> 0.12.10
- remove patches:
  + gst-feature (fixed 4.3 build, applied by mainstream)
  + deb-fsvalve_fix_refcount (patching failed)

* Tue Nov 25 2008 Afanasov Dmitry <ender@altlinux.org> 0.12.9-alt2
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Wed Oct 29 2008 Afanasov Dmitry <ender@altlinux.org> 0.12.9-alt1
- 0.12.8 -> 0.12.9
- patch to fix refcount (debian)
- patch to fix build (_m4_divert_diversion error)

* Tue Jul 08 2008 Igor Zubkov <icesik@altlinux.org> 0.12.8-alt1
- 0.12.5 -> 0.12.8

* Thu Jul 03 2008 Igor Zubkov <icesik@altlinux.org> 0.12.5-alt3
- build with --enable-g729

* Thu Jul 03 2008 Igor Zubkov <icesik@altlinux.org> 0.12.5-alt2
- buildreq

* Fri Sep 28 2007 Igor Zubkov <icesik@altlinux.org> 0.12.5-alt1
- build for Sisyphus

* Tue Sep 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.5-1
- Update to 0.12.5.
- Drop memset patch, fixed upstream.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-3
- Rebuild.

* Wed Aug  8 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-2
- Add patch to fix memset problem. (thanks to Dave Jones for pointing this out).
- Update license tag.

* Mon Jul 30 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-1
- Update to 0.12.2.

* Mon Jun 11 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.1-3
- Correct URL. (#242407)

* Thu May 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.1-2
- Add BR for GConf2-devel & gsm-devel to build additional plugins.

* Thu May 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.1-1
- Update to 0.12.1.
- Bump minimum version of gstreamer needed.
- Update source url.

* Mon Apr 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0.
- Add BR on jasper-devel & jrtplib-devel to build additional plugins.

* Fri Dec 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.2-2
- Rename gstreamer macro.

* Thu Sep 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.2-1
- Initial FE spec.

